import subprocess


class RBD(object):
    @staticmethod
    def ls(pool):
        output = ""
        try:
            output = subprocess.check_output(
                ["rbd", "ls", pool], stderr=subprocess.PIPE
            ).decode("utf-8").strip()
        except subprocess.CalledProcessError as e:
            raise Exception(e.stderr)
        return output.split("\n")

